## murano 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
alembic>=0.8.10 # MIT
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
tenacity>=3.2.1 # Apache-2.0
WebOb>=1.7.1 # MIT
kombu!=4.0.2,>=4.0.0 # BSD
psutil>=3.2.2 # BSD
six>=1.10.0 # MIT
netaddr>=0.7.18 # BSD
PyYAML>=3.10 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
testtools>=2.2.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
debtcollector>=1.2.0 # Apache-2.0
cryptography!=2.0,>=1.9 # BSD/Apache-2.0

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema<3.0.0,>=2.6.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-congressclient<2000,>=1.9.0 # Apache-2.0
python-mistralclient>=3.1.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
semantic-version>=2.3.1 # BSD
castellan>=0.16.0 # Apache-2.0

=== contrib/plugins/murano_heat-translator_plugin/requirements.txt ===
heat-translator>=0.4.0 # Apache-2.0
tosca-parser>=0.5.0  # Apache-2.0

=== debian/changelog ===
murano (1:5.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:22:50 -0500

murano (1:5.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:08:49 -0500

murano (1:5.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 12:32:20 -0500

murano (1:5.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Drop dh-systemd as it does not need to be specified with
    debhelper 10.
  * d/watch: Scope to Queens series.
  * d/p/update-murano-cfapi-paste-ssl.patch: Dropped. Fix included upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2017 16:32:26 -0500

murano (1:5.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Restore prior (Build-)Depend for python-yaql as the new version
    is not required.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 14:34:50 -0500

murano (1:4.0.0-0ubuntu2) bionic; urgency=medium

  * d/p/update-murano-cfapi-paste-ssl.patch: Update murano-cfapi-paste.ini
    with http_proxy_to_wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 09:40:20 -0500

murano (1:4.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:38:05 -0400

murano (1:4.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:17:07 -0400

murano (1:4.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 21:33:12 -0400

murano (1:4.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:45 -0400

murano (1:4.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/murano-common.install: Install wsgi script.
  * New snapshot.
  * d/p/*: Drop all patches, no longer required.
  * d/rules: Rework config and policy file generation.

  [ Corey Bryant ]
  * d/control: Drop oslosphinx and update min version of openstackdocstheme.
  * d/rules: Drop extraneous line-continuation backslash.
  * d/rules: Switch to using oslopolicy-sample-generator.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Move mkdir of debian/murano-common/etc/murano up in file.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 09:27:13 -0400

murano (1:4.0.0~b2-0ubuntu1) artful; urgency=medium

  * New snapshot.
  * d/p/disable-git-docs.patch: Correctly handle execution of git command
    when running from sdist tarball rather than from git repository.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:10:01 +0100

murano (1:4.0.0~b1-0ubuntu2) artful; urgency=medium

  * d/murano-cfapi.init.in: Correct name for configuration file,
    resolving autopkgtest failure.

 -- James Page <james.page@ubuntu.com>  Sun, 30 Apr 2017 11:20:00 +0100

murano (1:4.0.0~b1-0ubuntu1) artful; urgency=medium

  * d/watch: Tweak to deal with upstream milestone versioning.
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:43:58 +0100

murano (1:3.2.0-0ubuntu1) zesty; urgency=medium

  * debian/murano-cfpai.init: Fix startup init. (LP: #1659270) 
  * debian/watch: Point to tarballs.openstack.org
  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/control, d/tests: Add dep8 tests.
  * d/patches/skip-unit-test.patch: Skip failing unit test.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Feb 2017 13:47:41 -0500

murano (1:3.1.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 09:48:53 -0500

=== debian/control ===
Source: murano
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-castellan (>= 0.16.0),
 python-congressclient (>= 1.9.0),
 python-coverage (>= 4.0),
 python-cryptography (>= 1.9),
 python-debtcollector (>= 1.2.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-jsonpatch (>= 1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-kombu (>= 4.0.0),
 python-migrate (>= 0.11.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock (>= 2.0.0),
 python-murano-pkg-check,
 python-muranoclient (>= 0.8.2),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-nose (>= 1.3.7),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-psutil (>= 3.2.2),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sphinxcontrib.httpdomain (>= 1.3.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-unittest2 (>= 1.1.0),
 python-webob (>= 1:1.7.1),
 python-yaml (>= 3.10),
 python-yaql (>= 1.1.0),
 subunit,
 testrepository,
 zip,
Standards-Version: 4.1.2
Homepage: https://github.com/openstack/murano
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
XS-Testsuite: autopkgtest

Package: murano-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 python-openstackclient (>= 3.3.0),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: cloud-ready application catalog - API server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the API server.

Package: murano-cfapi
Architecture: all
Depends:
 adduser,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: cloud-ready application catalog - Cloud Foundry broker
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Cloud Foundry Service Broker API. For more info,
 see https://docs.cloudfoundry.org/services/api.html.

Package: murano-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-murano (= ${source:Version}),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ldap,
Description: cloud-ready application catalog - common files
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains common files to all Murano servers.

Package: murano-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: cloud-ready application catalog - doc
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the documentation.

Package: murano-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 murano-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: cloud-ready application catalog - Engine server
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Engine server.

Package: python-murano
Architecture: all
Section: python
Depends:
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-castellan (>= 0.16.0),
 python-congressclient (>= 1.9.0),
 python-cryptography (>= 1.9),
 python-debtcollector (>= 1.2.0),
 python-eventlet (>= 0.18.2),
 python-heatclient (>= 1.10.0),
 python-jsonpatch (>= 1.16),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-kombu (>= 4.0.0),
 python-mistralclient (>= 1:3.1.0),
 python-muranoclient (>= 0.8.2),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-psutil (>= 3.2.2),
 python-psycopg2 (>= 2.6.2),
 python-requests (>= 2.14.2),
 python-routes (>= 2.3.1),
 python-semantic-version (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tenacity (>= 3.2.1),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-yaml (>= 3.10),
 python-yaql (>= 1.1.0),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ldap,
Description: cloud-ready application catalog - Python 2.x server code
 Murano Project introduces an application catalog, which allows application
 developers and cloud administrators to publish various cloud-ready
 applications in a browsable categorised catalog, which may be used by the
 cloud users (including the inexperienced ones) to pick-up the needed
 applications and services and composes the reliable environments out of them
 in a "push-the-button" manner.
 .
 This package contains the Python 2.x server code.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)


LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i DISCOVER_DIRECTORY=murano/tests/unit testr-python$$PYMAJOR run --subunit --parallel 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/murano-doc/usr/share/doc/murano-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.postinst

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing

	# PBR misses some files, let's force them in
	cp -rf murano/* $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano
	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.ApacheHttpServerCustom/LICENSE
	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.Lighttpd/LICENSE
	rm $(CURDIR)/debian/python-murano/usr/lib/python2.7/dist-packages/murano/tests/functional/engine/io.murano.apps.test.UpdateExecutor/LICENSE

	# Get the main config file to use decent defaults.
	mkdir -p $(CURDIR)/debian/murano-common/usr/share/murano-common
	oslo-config-generator --config-file $(CURDIR)/etc/oslo-config-generator/murano.conf \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's/^[ \t#]*auth_protocol[ \t]*=[ \t].*/auth_protocol = http/' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf

	oslo-config-generator --config-file $(CURDIR)/etc/oslo-config-generator/murano-cfapi.conf \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano-cfapi.conf
	cp $(CURDIR)/etc/murano/murano-cfapi-paste.ini $(CURDIR)/debian/murano-common/usr/share/murano-common

	mkdir -p $(CURDIR)/debian/murano-common/etc/murano
	oslopolicy-sample-generator --config-file $(CURDIR)/etc/oslo-policy-generator/murano-policy-generator.conf \
		--output-file $(CURDIR)/debian/murano-common/etc/murano/policy.yaml

	# Install other configuration files in a more "normal" way
	cp $(CURDIR)/etc/murano/logging.conf.sample $(CURDIR)/debian/murano-common/etc/murano/logging.conf
	cp $(CURDIR)/etc/murano/murano-paste.ini $(CURDIR)/debian/murano-common/etc/murano

	# Also install alembic_migration folder
	set -e ; for pyvers in $(PYTHONS); do \
		cp -rfv $(CURDIR)/murano/db/migration/alembic_migrations $(CURDIR)/debian/python-murano/usr/lib/python$$pyvers/dist-packages/murano/db/migration/ ; \
	done

	# Zip the murano core-library and push it in the package.
	# Note that this is done in a reproducible way, adjusting timestamps
	# before zipping the files.
	find meta/io.murano -newermt '$(BUILD_DATE)' -print0 | xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
	cd meta/io.murano ; TZ=UTC zip -r ../../debian/murano-common/usr/share/murano-common/io.murano.zip * ; cd ../..

override_dh_clean:
	rm -rf 	build \
	 	debian/murano-common.postinst \
		debian/murano-common.config \
		debian/murano-api.postinst \
		debian/murano-api.config \
		doc/build/man
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

=== debian/tests/control ===
Tests: python-murano murano-daemons
Depends: python-murano, murano-common, murano-api,
 murano-engine, murano-cfapi
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 http://tarballs.openstack.org/murano/ murano-(5\.\d.*)\.tar\.gz

## murano 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,23 +6,23 @@
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 stevedore>=1.20.0 # Apache-2.0
 alembic>=0.8.10 # MIT
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
-tenacity>=3.2.1 # Apache-2.0
+tenacity>=4.4.0 # Apache-2.0
 WebOb>=1.7.1 # MIT
 kombu!=4.0.2,>=4.0.0 # BSD
 psutil>=3.2.2 # BSD
 six>=1.10.0 # MIT
 netaddr>=0.7.18 # BSD
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 testtools>=2.2.0 # MIT
 yaql>=1.1.3 # Apache 2.0 License
 debtcollector>=1.2.0 # Apache-2.0
-cryptography!=2.0,>=1.9 # BSD/Apache-2.0
+cryptography>=2.1 # BSD/Apache-2.0
 
 # For paste.util.template used in keystone.common.template
 Paste>=2.0.2 # MIT
@@ -30,13 +30,13 @@
 jsonschema<3.0.0,>=2.6.0 # MIT
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
-python-neutronclient>=6.3.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
 python-muranoclient>=0.8.2 # Apache-2.0
 python-congressclient<2000,>=1.9.0 # Apache-2.0
-python-mistralclient>=3.1.0 # Apache-2.0
+python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
-oslo.concurrency>=3.25.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0

=== doc/requirements.txt ===
# doc build requirements
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=2.5.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0

=== debian/changelog ===
murano (1:6.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python(3)-murano packages
    to resolve issues with co-installability.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 13:27:44 -0400

murano (1:6.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-murano conflicts on each other.
    - d/python(3)-murano.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:29:47 -0400

murano (1:6.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 13:34:20 -0400

murano (1:6.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 14:24:56 -0400

murano (1:5.0.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-murano package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      murano-common depends on python-murano by default and python3-murano
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-murano packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Fix typos in python(3)-murano package descriptions.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/murano-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-murano.post*, d/python(3)-murano.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-murano.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for murano daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/murano-cfapi.init.in: Correct name for configuration file,
      resolving autopkgtest failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jun 2018 21:41:16 -0400

murano (1:5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix python3-murano description (Closes: #891694)
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Switch to openstack-pkg-tools >= 70~ shared debconf templates.
  * Fixed dbc postrm.
  * Removed /usr/bin/* from -api and -engine (Closes: #891659).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:28:27 +0000

murano (1:5.0.0~rc2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Reviewed debian/copyright holders list and years.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 13:26:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,53 +1,58 @@
 Source: murano
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 53~),
+ openstack-pkg-tools (>= 74~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr (>= 2.0.0),
+ python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
+ alembic (>= 0.8.10),
  git,
  python-alembic (>= 0.8.10),
  python-babel (>= 2.3.4),
  python-castellan (>= 0.16.0),
  python-congressclient (>= 1.9.0),
  python-coverage (>= 4.0),
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.1),
  python-debtcollector (>= 1.2.0),
  python-eventlet (>= 0.18.2),
  python-fixtures (>= 3.0.0),
  python-hacking (>= 0.12.0),
  python-heatclient (>= 1.10.0),
- python-jsonpatch (>= 1.16),
+ python-jsonpatch (>= 1.19+really1.16),
  python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.17.0),
- python-kombu (>= 4.0.0),
+ python-kombu (>= 4.1.0),
  python-migrate (>= 0.11.0),
  python-mistralclient (>= 1:3.1.0),
  python-mock (>= 2.0.0),
- python-murano-pkg-check,
+ python-murano-pkg-check (>= 0.3.0),
  python-muranoclient (>= 0.8.2),
+ python-mysqldb,
  python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.3.0),
+ python-neutronclient (>= 1:6.7.0),
  python-nose (>= 1.3.7),
  python-openstackdocstheme (>= 1.18.1),
  python-os-api-ref (>= 1.4.0),
  python-os-testr (>= 1.0.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.context (>= 1:2.19.2),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
@@ -71,24 +76,89 @@
  python-six (>= 1.10.0),
  python-sphinxcontrib.httpdomain (>= 1.3.0),
  python-sqlalchemy (>= 1.0.10),
+ python-stestr (>= 1.0.0),
  python-stevedore (>= 1:1.20.0),
- python-tenacity (>= 3.2.1),
- python-testrepository (>= 0.0.18),
+ python-tenacity (>= 4.4.0),
  python-testresources (>= 2.0.0),
  python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
  python-unittest2 (>= 1.1.0),
  python-webob (>= 1:1.7.1),
- python-yaml (>= 3.10),
- python-yaql (>= 1.1.0),
+ python-yaml (>= 3.12),
+ python-yaql (>= 1.1.3),
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
+ python3-castellan (>= 0.16.0),
+ python3-congressclient (>= 1.9.0),
+ python3-coverage (>= 4.0),
+ python3-cryptography (>= 2.1),
+ python3-debtcollector (>= 1.2.0),
+ python3-eventlet (>= 0.18.2),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 0.12.0),
+ python3-heatclient (>= 1.10.0),
+ python3-jsonpatch (>= 1.19+really1.16),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-kombu (>= 4.1.0),
+ python3-migrate (>= 0.11.0),
+ python3-mistralclient (>= 1:3.1.0),
+ python3-mock (>= 2.0.0),
+ python3-murano-pkg-check (>= 0.3.0),
+ python3-muranoclient (>= 0.8.2),
+ python3-mysqldb,
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-nose (>= 1.3.7),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-os-api-ref (>= 1.4.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pep8,
+ python3-psutil (>= 3.2.2),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymysql (>= 0.7.6),
+ python3-requests (>= 2.14.2),
+ python3-routes (>= 2.3.1),
+ python3-semantic-version (>= 2.3.1),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.httpdomain (>= 1.3.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-tenacity (>= 4.4.0),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-unittest2 (>= 1.1.0),
+ python3-webob (>= 1:1.7.1),
+ python3-yaml (>= 3.12),
+ python3-yaql (>= 1.1.3),
  subunit,
+ tempest (>= 1:12.0.0),
  testrepository,
  zip,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
 Homepage: https://github.com/openstack/murano
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/murano
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: murano-api
 Architecture: all
@@ -98,10 +168,8 @@
  dbconfig-common,
  debconf,
  murano-common (= ${source:Version}),
- python-openstackclient (>= 3.3.0),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
 Description: cloud-ready application catalog - API server
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready
@@ -119,7 +187,6 @@
  murano-common (= ${source:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
 Description: cloud-ready application catalog - Cloud Foundry broker
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready
@@ -138,12 +205,9 @@
  adduser,
  dbconfig-common,
  debconf,
- python-murano (= ${source:Version}),
+ python-murano (= ${binary:Version}) | python3-murano (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
- ${python:Depends},
-Recommends:
- python-ldap,
 Description: cloud-ready application catalog - common files
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready
@@ -180,7 +244,6 @@
  murano-common (= ${source:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python:Depends},
 Description: cloud-ready application catalog - Engine server
  Murano Project introduces an application catalog, which allows application
  developers and cloud administrators to publish various cloud-ready
@@ -195,26 +258,29 @@
 Architecture: all
 Section: python
 Depends:
+ alembic (>= 0.8.10),
  python-alembic (>= 0.8.10),
  python-babel (>= 2.3.4),
  python-castellan (>= 0.16.0),
  python-congressclient (>= 1.9.0),
- python-cryptography (>= 1.9),
+ python-cryptography (>= 2.1),
  python-debtcollector (>= 1.2.0),
  python-eventlet (>= 0.18.2),
  python-heatclient (>= 1.10.0),
- python-jsonpatch (>= 1.16),
+ python-jsonpatch (>= 1.19+really1.16),
  python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-keystoneclient (>= 1:3.8.0),
  python-keystonemiddleware (>= 4.17.0),
- python-kombu (>= 4.0.0),
+ python-kombu (>= 4.1.0),
  python-mistralclient (>= 1:3.1.0),
  python-muranoclient (>= 0.8.2),
+ python-mysqldb,
  python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.3.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
+ python-neutronclient (>= 1:6.7.0),
+ python-openstackclient (>= 3.3.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.context (>= 1:2.19.2),
  python-oslo.db (>= 4.27.0),
  python-oslo.i18n (>= 3.15.3),
@@ -230,27 +296,72 @@
  python-pbr (>= 2.0.0),
  python-psutil (>= 3.2.2),
  python-psycopg2 (>= 2.6.2),
- python-requests (>= 2.14.2),
+ python-pymysql (>= 0.6.2),
+ python-requests (>= 2.8.1),
  python-routes (>= 2.3.1),
  python-semantic-version (>= 2.3.1),
  python-six (>= 1.10.0),
  python-sqlalchemy (>= 1.0.10),
  python-stevedore (>= 1:1.20.0),
- python-tenacity (>= 3.2.1),
+ python-tenacity (>= 4.4.0),
  python-testtools (>= 2.2.0),
  python-webob (>= 1:1.7.1),
- python-yaml (>= 3.10),
- python-yaql (>= 1.1.0),
+ python-yaml (>= 3.12),
+ python-yaql (>= 1.1.3),
  ${misc:Depends},
  ${python:Depends},
 Recommends:
  python-ldap,
-Description: cloud-ready application catalog - Python 2.x server code
- Murano Project introduces an application catalog, which allows application
- developers and cloud administrators to publish various cloud-ready
- applications in a browsable categorised catalog, which may be used by the
- cloud users (including the inexperienced ones) to pick-up the needed
- applications and services and composes the reliable environments out of them
- in a "push-the-button" manner.
- .
- This package contains the Python 2.x server code.
+Description: cloud-ready application catalog - Python 2.7 libs
+ Murano Project introduces an application catalog, which allows application
+ developers and cloud administrators to publish various cloud-ready
+ applications in a browsable categorised catalog, which may be used by the
+ cloud users (including the inexperienced ones) to pick-up the needed
+ applications and services and composes the reliable environments out of them
+ in a "push-the-button" manner.
+ .
+ This package contains the Python 2.7 library for Murano.
+
+Package: python3-murano
+Architecture: all
+Section: python
+Depends:
+ alembic (>= 0.8.10),
+ python3-alembic (>= 0.8.10),
+ python3-babel (>= 2.3.4),
+ python3-castellan (>= 0.16.0),
+ python3-congressclient (>= 1.9.0),
+ python3-cryptography (>= 2.1),
+ python3-debtcollector (>= 1.2.0),
+ python3-eventlet (>= 0.18.2),
+ python3-heatclient (>= 1.10.0),
+ python3-jsonpatch (>= 1.19+really1.16),
+ python3-jsonschema (>= 2.6.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-kombu (>= 4.1.0),
+ python3-mistralclient (>= 1:3.1.0),
+ python3-muranoclient (>= 0.8.2),
+ python3-mysqldb,
+ python3-netaddr (>= 0.7.18),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-openstackclient (>= 3.3.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pbr (>= 2.0.0),
+ python3-psutil (>= 3.2.2),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymysql (>= 0.6.2),

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE=$(shell dpkg-parsechangelog  | grep Date: | cut -d' ' -f2)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd

override_dh_clean:
	rm -rf 	build \
	 	debian/murano-common.postinst \
		debian/murano-common.config \
		debian/murano-api.postinst \
		debian/murano-api.config \
		debian/murano-common.postrm \
		doc/build/man
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean
	rm -rf debian/*.templates debian/po

override_dh_auto_clean:
	python2 setup.py clean
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func murano-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm murano-common.postrm
	pkgos-merge-templates murano-api murano endpoint
	pkgos-merge-templates murano-common murano db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install
	rm -rf $(CURDIR)/debian/python*-murano/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(coreycb) Skip Py3.7 tests until they run successfully upstream:
	#   https://bugs.launchpad.net/bugs/1786523
	# DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit pkgos-dh_auto_test 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*))'
	echo "===> Running tests"
	set -ex ; for i in 2.7 3.6 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .stestr ; \
		TEMP_REZ=`mktemp -t` ; \
		DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-stestr run --subunit 'tests\.unit\.(?!(.*SysLogHandlersTestCase.*|.*packages\.hot_package\.test_hot_package\.TestHotPackage\.test_heat_files_generated.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		rm -rf .stestr ; \
	done
endif

	# Get the main config file to use decent defaults.
	mkdir -p $(CURDIR)/debian/murano-common/usr/share/murano-common
	PYTHONPATH=$(CURDIR)/debian/python3-murano/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf \
		--wrap-width 140 \
		--namespace keystone_authtoken \
		--namespace murano \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace castellan.config
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf keystone_authtoken murano

	sed -i 's|^[# \t]*notification_driver[ \t]*=.*|notification_driver=messagingv2|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf
	sed -i 's|#connection=<None>|connection=sqlite:///var/lib/murano/muranodb|' $(CURDIR)/debian/murano-common/usr/share/murano-common/murano.conf

	PYTHONPATH=$(CURDIR)/debian/python3-murano/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/murano-cfapi.conf \
		--wrap-width 140 \
		--namespace keystone_authtoken \
		--namespace murano.cfapi \
		--namespace oslo.db \
		--namespace oslo.log

	PYTHONPATH=$(CURDIR)/debian/python3-murano/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/murano-common/usr/share/murano-common/policy.yaml \
		--namespace murano

	dh_install
	dh_missing --fail-missing

	# Install config files
	for i in murano-cfapi-paste.ini murano-paste.ini ; do \
		cp $(CURDIR)/etc/murano/$$i $(CURDIR)/debian/murano-common/usr/share/murano-common ; \
	done
	cp $(CURDIR)/etc/murano/logging.conf.sample $(CURDIR)/debian/murano-common/usr/share/murano-common/logging.conf

	# Zip the murano core-library and push it in the package.
	# Note that this is done in a reproducible way, adjusting timestamps
	# before zipping the files.
	find meta/io.murano -newermt '$(BUILD_DATE)' -print0 | xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
	cd meta/io.murano ; TZ=UTC zip -r ../../debian/murano-common/usr/share/murano-common/io.murano.zip * ; cd ../..

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/murano-doc/usr/share/doc/murano-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: murano-daemons, murano-shebangs-py3
Depends: python3-murano, murano-common, murano-api,
 murano-engine, murano-cfapi
Restrictions: needs-root

Tests: murano-daemons, murano-shebangs-py2
Depends: murano-common, murano-api,
 murano-engine, murano-cfapi
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 http://tarballs.openstack.org/murano/ murano-(6\.\d.*)\.tar\.gz
